#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>
#include <Trade\PositionInfo.mqh>

CTrade cTrade;
CSymbolInfo cSymbol;
CPositionInfo cPositionInfo;

MqlDateTime  dt_struct;     
int magicNumber = 1;
//+------------------------------------------------------------------+
void OnInit()
{
   cTrade.SetExpertMagicNumber(magicNumber);
}
//+------------------------------------------------------------------+
void OnTick()
{

   TimeCurrent(dt_struct);   

   
   bool isTrading = cPositionInfo.SelectByMagic(Symbol(), magicNumber);
   
   if( dt_struct.day_of_week==1 && dt_struct.hour>=3 && dt_struct.mon==5 && !isTrading)
   {      
      if(cTrade.Buy(0.01,Symbol(), cSymbol.Ask(), cSymbol.Ask()-1000*cSymbol.Point(), cSymbol.Ask()+1000*cSymbol.Point()))
      {
         printf("Position open");
      }
      else
      {
         printf("Position open FAILL: %i",  cTrade.ResultRetcode()); 
      }
   }
   
   if(dt_struct.day_of_week==1 && dt_struct.hour>=3 && dt_struct.mon==6 && isTrading)
   {
     if(cTrade.PositionClose(cPositionInfo.Ticket()) && cTrade.ResultRetcode()==TRADE_RETCODE_DONE)
     {
         printf("Position close");       
     }
     else
     {
         printf("Position close FAILL: %i",  cTrade.ResultRetcode()); 
     }
   }
    
}